/*
 * $Revision: 1.1 $
 * $Id: general.h,v 1.1 2002/07/02 19:32:15 rbraud Exp $
 */
#ifndef _GENERAL_H_
#define _GENERAL_H_

#include <stdlib.h>

typedef enum 
{
  FALSE, TRUE
}boolean;

#define ALWAYS TRUE
/* #define __MEM_CHECK__ 0   */

#ifdef __MEM_CHECK__

#ifdef __cplusplus
extern "C" 
{
#endif

#define getmem(a)  mem_get (a, __FILE__, __LINE__, __FUNCTION__)
#define freemem(a) mem_free(a, __FILE__, __LINE__, __FUNCTION__)

  void *mem_get(int a, char *s, int l, char *fn);
  void  mem_free(void *a, char *s, int l, char *fn);
  
#ifdef __cplusplus
}
#endif

#else

#define getmem(a) malloc(a)
#define freemem(a) free(a)

/* #define _o_multi_threaded_ */
/* void *getmem (int s); */
/* void freemem(void *p); */

#endif

#endif
