#include <iostream.h>
#include <netdb.h>
#include <string>
#include "talker_utils.h"

int main(int argc, char** argv) {
	if(argc != 3) {
		cout<<"Format: "<<argv[0]<<"<hostname> <port>"<<endl;
		return -1;
	}
	setup_talker(argv[1], atoi(argv[2]));
	while(1) {
		string s;
		short p;
		hostent* h;
		sockaddr_in addr;
		float ping;
		int sock;

		cin >> s >> p;
		h = gethostbyname(s.c_str());
		if(h == 0x0) {
			cout<<"Could not resolve host"<<endl;
			continue;
		}
		addr.sin_family = AF_INET;
		addr.sin_addr.s_addr = *((unsigned long*)h->h_addr_list[0]);
		addr.sin_port = htons(p);
		ping = estimate_rtt_wrapper(addr);
		cout<<"Ping value was "<<ping<<endl;
	}
	return 0;
}
